Bug 585250 - /var/spool/gdm/force-display-on-active-vt not created with KDM
/var/spool/gdm/force-display-on-active-vt not created with KDM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F13blocker-KDE
  Show dependency treegraph
 
Reported: 2010-04-23 10:29 EDT by Rex Dieter
Modified: 2014-03-16 23:23 EDT (History)
13 users (show)

See Also:
Fixed In Version: initscripts-9.02.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-04 19:54:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2010-04-23 10:29:02 EDT
I've been trying to test kdm/plymouth integration on f13, and I thought I got the patching all right, but kdm still starts on vt7.

Then, I noticed that
/var/spool/gdm
dir timestamp never changes on booting.

If, prior to rebooting, I manually,
touch /var/spool/gdm/force-display-on-active-vt

X starts probably on vt1.

So, by what mechanism is
/var/spool/gdm/force-display-on-active-vt
supposed to get created, or how could it be possibly failing?

afaik, my oldish i945 video hardware supports plymouth, and I see the graphical boot ok.
Comment 1 Rex Dieter 2010-04-23 11:00:58 EDT
s/probably/properly/  above, makes a little more sense that way. :)
Comment 2 Martin Kho 2010-04-26 12:48:53 EDT
Hi,

Touching "/var/spool/gdm/force-display-on-active-vt" also works - always - with
plymouth text mode (horizontal bar) non-kms. X is sitting on vt1. 'File'
"force-display-on-active-vt" is removed/gone. After the next reboot - without
touching the file - x sits again on vt7.

Hope this helps.

Martin Kho
Comment 3 Rex Dieter 2010-04-26 13:36:29 EDT
Not really, but thanks. :)  

force-display-on-active-vt is supposed to get created only in when kms is used.  That's my understanding, anyway.
Comment 4 Ray Strode [halfline] 2010-04-26 16:39:15 EDT
nope, force-display-on-active-vt is created any time 

plymouth quit --retain-splash

is run (as done by prefdm).  Doesn't actually check for kms or not.
Comment 5 Martin Kho 2010-04-26 17:00:05 EDT
Hi,

I suppose it's a very very dirty trick, but I changed in prefdm:

elif [ "$DISPLAYMANAGER" = KDE ]; then
   preferred=/usr/bin/kdm

to

elif [ "$DISPLAYMANAGER" = KDE ]; then
   preferred=/usr/bin/kdm
   quit_arg="--retain-splash"

Now X sits on vt1 :-)

Martin Kho
Comment 6 Kevin Kofler 2010-04-26 17:27:21 EDT
I guess that's not a dirty trick, but the fix which needs to get into the package ASAP.

/etc/X11/prefdm is owned by initscripts, reassigning.
Comment 7 Bill Nottingham 2010-04-27 11:49:24 EDT
Is there a particular version of KDM that grew support for this, or can we assume that anything in F-13 is good enough?
Comment 8 Bill Nottingham 2010-04-27 11:50:43 EDT
http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=4b63e3e866a7f3962cd2e304ab4c0145d8ce388a

Will get pushed out in the next couple of days.
Comment 9 Kevin Kofler 2010-04-27 12:07:16 EDT
The current KDM builds in F12 updates and F13 both support this. This should also get added to the F12 initscripts (we've discussed this in the KDE SIG meeting, with Ray Strode (halfline) also present).
Comment 11 Fedora Update System 2010-04-28 15:03:05 EDT
initscripts-9.02.2-1 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/initscripts-9.02.2-1
Comment 12 Fedora Update System 2010-04-28 15:06:11 EDT
initscripts-9.10-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/initscripts-9.10-1.fc13
Comment 13 Rex Dieter 2010-04-28 15:14:20 EDT
Thanks Martin!  extra cookies and gold stars for you.
Comment 14 Fedora Update System 2010-04-30 13:20:24 EDT
initscripts-9.02.2-1 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update initscripts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/initscripts-9.02.2-1
Comment 15 Adam Williamson 2010-05-04 18:32:32 EDT
the update for f13:

https://admin.fedoraproject.org/updates/initscripts-9.11-1.fc13

now has sufficient karma to be pushed to stable; can you please submit it to stable, Bill? thanks.
Comment 16 Jesse Keating 2010-05-04 19:45:28 EDT
It is submitted for stable.
Comment 17 Fedora Update System 2010-05-04 19:53:51 EDT
initscripts-9.11-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Adam Williamson 2010-05-04 20:35:38 EDT
bodhi didn't show it as having been submitted...
Comment 19 Fedora Update System 2010-05-21 21:47:38 EDT
initscripts-9.02.2-1 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.